﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace Numeric_SL
{
    public partial class MainPage : UserControl
    {
        double oldValue;
        public MainPage()
        {
            InitializeComponent();
            this.GridView.ItemsSource = Enumerable.Range(10, 100);
        }

        private void CustomNumeric_KeyDown(object sender, KeyEventArgs e)
        {
            var numeric = sender as RadNumericUpDown;
            if (e.Key == Key.Up)
            {
                oldValue = numeric.Value.Value;
                RadGridViewCommands.MoveUp.Execute(this.GridView);
            }
            if (e.Key == Key.Down)
            {
                e.Handled = true;
                RadGridViewCommands.MoveDown.Execute(null);
            }
            Dispatcher.BeginInvoke(
                () =>
                {
                    var item = this.GridView.CurrentCellInfo.Item;
                    this.GridView.SelectedItem = item;
                });
             Dispatcher.BeginInvoke(
                () =>
                { numeric.Value = oldValue; });
            }

    }
}
